Package org.jacoco.core.analysis

## Enum ICounter.CounterValue

- java.lang.Object
- - java.lang.Enum<ICounter.CounterValue>
  - - org.jacoco.core.analysis.ICounter.CounterValue

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ICounter.CounterValue>`

Enclosing interface:
  ICounter

    public static enum ICounter.CounterValue
    extends java.lang.Enum<ICounter.CounterValue>

Different values provided by a counter.

### Enum Constant Summary

Enum Constants
`COVEREDCOUNT` Number of covered items
`COVEREDRATIO` Ratio of covered to total items
`MISSEDCOUNT` Number of missed items
`MISSEDRATIO` Ratio of missed to total items
`TOTALCOUNT` Total number of items

### Method Summary

All Methods Static Methods Concrete Methods
`static ICounter.CounterValue` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ICounter.CounterValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TOTALCOUNT

    public static final ICounter.CounterValue TOTALCOUNT

Total number of items

#### MISSEDCOUNT

    public static final ICounter.CounterValue MISSEDCOUNT

Number of missed items

#### COVEREDCOUNT

    public static final ICounter.CounterValue COVEREDCOUNT

Number of covered items

#### MISSEDRATIO

    public static final ICounter.CounterValue MISSEDRATIO

Ratio of missed to total items

#### COVEREDRATIO

    public static final ICounter.CounterValue COVEREDRATIO

Ratio of covered to total items

### Method Detail

#### values

    public static ICounter.CounterValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ICounter.CounterValue c : ICounter.CounterValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ICounter.CounterValue valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null